Densyakunのブログ

高校生プログラマの雑なブログです。ゲームを開発しています。

【Python】Raspberry Pi 3、Python3.6でTensorFlowがインストールできない場合の解決方法

こんにちは、電車君です。

今回は、Raspberry Pi 3 Model BでTensorFlowがインストールできなかった話と、私の場合の解決方法を紹介します。

 

 

原因: Python3.6では出来ない

公式にラズパイが対応したと聞いて、すんなりできると思っていたのですが、

Python3.4までしか対応していないということを知りました...

私のRaspberry Piには4つもPythonが入っていて、たまたまPython3.6に入れようとしていたので、できなかったようです。

 

他のPythonにPython3.4があったのでそちらに導入しましたが、

Pythonをダウングレードしたほうがいいかもしれません。(やったことないので簡単にできるかわかりませんが)

 

 

Jupyter Notebookではやりづらい

目的としてはKerasを使用したかったのですが、

Kerasが使用できるPythonのパスと、

Jupyter Notebookが使っているAnacondaのPythonのパスが違ったので、

sys.pathでパスを繋ぐとできるのですが、

カーネルが再起動するたびにいちいち再設定する必要があるので、

めんどくさいです。

何かいい方法がありましたら教えてください。

 

 

以上です。(ラズパイそんなに関係なかったかも)